# pb_ds::container_traits< Cntnr > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Cntnr>
struct pb_ds::container_traits< Cntnr >

Definition at line 339 of file tag_and_trait.hpp.

## Public Types

- enum { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
- typedef container_traits_base<
  container_category > base_type
- typedef Cntnr::container_category container_category
- typedef Cntnr container_type
- typedef base_type::invalidation_guarantee invalidation_guarantee

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp